Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://staging.api.eu-west-3.lokki.rent/v2/external/stores/{slug}/items/{itemId} \ --header 'x-access-token: <api-key>'
import requests url = "https://staging.api.eu-west-3.lokki.rent/v2/external/stores/{slug}/items/{itemId}" headers = {"x-access-token": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}}; fetch('https://staging.api.eu-west-3.lokki.rent/v2/external/stores/{slug}/items/{itemId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://staging.api.eu-west-3.lokki.rent/v2/external/stores/{slug}/items/{itemId}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "x-access-token: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://staging.api.eu-west-3.lokki.rent/v2/external/stores/{slug}/items/{itemId}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-access-token", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://staging.api.eu-west-3.lokki.rent/v2/external/stores/{slug}/items/{itemId}") .header("x-access-token", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://staging.api.eu-west-3.lokki.rent/v2/external/stores/{slug}/items/{itemId}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-access-token"] = '<api-key>' response = http.request(request) puts response.read_body
{ "id": "61e7b8f9e4b0c8a1d4f3c2b1", "type": "product", "rentalType": "LCD", "settings": { "visibility": "PUBLIC" }, "infos": { "name": "Mountain Bike X2000", "description": "A high-performance mountain bike suitable for all terrains." }, "category": { "storeItemCategory": { "id": "61e7b8f9e4b0c8a1d4f3c2b1", "name": "Mountain Bike", "type": "STANDARD" }, "verticale": { "id": "BIKE", "name": "Bike" }, "categoryLevel1": { "id": "61e7b8f9e4b0c8a1d4f3c2b1", "name": "Mountain Bike", "type": "STANDARD" } }, "media": { "images": { "urls": [ "https://example.com/images/item1.jpg", "https://example.com/images/item2.jpg" ] }, "videos": { "youtubeUrls": [ "https://www.youtube.com/watch?v=dQw4w9WgXcQ", "https://www.youtube.com/watch?v=sNPnbI1arSE" ] }, "documents": [ { "url": [ "https://example.com/documents/item1.pdf", "https://example.com/documents/item2.pdf" ], "name": "Item Manual" } ] }, "pricing": { "basis": "LOWEST_PRICE", "price": 29.99, "basePrice": 29.99, "discount": { "appliedDiscounts": [ { "amount": 5, "amountType": "PERCENTAGE", "type": "PERIODIC", "from": "2025-09-01T00:00:00.000Z", "to": "2025-09-30T23:59:59.000Z", "applicableDate": "CREATED_DATE" } ], "availableDiscounts": [ { "type": "QUANTITY", "rules": [ { "discount": 123, "discountType": "AMOUNT", "rangeFrom": 123, "rangeTo": 123, "infiniteTo": true } ] } ] }, "deposit": { "amount": 100 }, "vat": { "amount": 20 }, "pricingTable": { "highSeason": [ { "id": "61e7b8f9e4b0c8a1d4f3c2b1", "label": "1 jour", "price": 50, "duration": { "type": "range", "minMinutes": 0, "maxMinutes": 1440 } } ], "lowSeason": [ { "id": "61e7b8f9e4b0c8a1d4f3c2b1", "label": "1 jour", "price": 50, "duration": { "type": "range", "minMinutes": 0, "maxMinutes": 1440 } } ] } }, "time": { "duration": { "min": 60, "max": 1440 }, "ranges": [ { "min": 60, "max": 1440 } ] }, "stock": { "availableQuantity": 10, "totalQuantity": 10 }, "modules": { "insurance": { "enabled": true, "provider": "TULIP", "details": { "provider": "TULIP", "status": "on_inclusion_hidden" } } } }
The slug of the store
/^[a-z0-9-]+$/
The ID of the item
Item IDs to retrieve
Language for localized content
fr
en
nl
de
it
pt
es
pl
If true, include unpublished stores (for preview mode)
Start date for filtering items (optional)
End date for filtering items (optional)
The large category of the item (e.g., BIKE, CAR, BOAT, etc.)
BIKE
ELECTRIC_BIKE
MOPED
MOTORCYCLE
CAR
SCOOTER
SKI
CLIMBING
SNOWSHOES
SURF
PADDLE
CANOE_KAYAK
BOAT
EVENT
MOTOCULTURE
TOOLING
The precise category of the item (e.g., Mountain Bike, Road Bike, etc.)
Sort by
relevance
price_asc
price_desc
Limit of items to retrieve
Skip of items to retrieve
Fields to include in the response
Unique identifier for the item
"61e7b8f9e4b0c8a1d4f3c2b1"
Type of the item
product
service
"product"
The rental type of the item (Short-term or Long-term rental)
LCD
LLD
"LCD"
Settings and configuration for the item
Show child attributes
Information about the item
Category information of the item
Media associated with the item
Pricing details of the item
Time range information and constraints for the item
Stock information of the item
Item modules settings (insurance..)